const app = getApp()
Page({
    data: {
        progress: 89,
        todayList: [
            {"moneyName":"电脑","billType":"INCOME","date":"01-06","accountName":"银行卡","money":"4500.00"},
            {"moneyName":"狗粮","billType":"EXPEND","date":"01-06","accountName":"支付宝","money":"35.00"},
        ]
    },
    onLoad: function (options) {
    },
    onShow: function () {
        app.$api.listBillsToday().then(x => {
            if (x){
                let todayList = x.data
                this.setData({todayList})
            }
        })
        if (wx.canIUse('hideHomeButton')) {
            wx.hideHomeButton()
        }
        let isRun = wx.getStorageSync("isRun");
        if (!isRun) {
            // this.startInter();
        }
    },
    modifyBudget (){
        wx.navigateTo({
            url : '/pages/budget/index'
        })
    },
    addBill() {
        wx.navigateTo({
            url : '/pages/bill/add/index'
        })
    },
    /**
     * 启动定时器
     */
    startInter : function(){
        wx.setStorageSync("isRun",true);
        let times = 1;
        setInterval(
            function () {
                times ++;
                // 提交远程服务器修改的内容，降低服务器压力，如果网络异常，也可以正常操作
                console.log('setInterval 每过500毫秒执行一次任务' + times)
            }, 5000);
    }
});
